<app-navbar></app-navbar>
<div class="container m-t-10">
    <div fxLayout.xs="column" fxLayout.gt-xs="row">
        <div fxFlex="100">
            <h1>Projects Imported Git Lab</h1>
        </div>
    </div>

    <div fxLayout.xs="column" fxLayout.gt-xs="row">
        <div fxFlex="100">
            <div fxLayout="column" fxLayoutAlign="center center" class="m-t-10">
                <div [hidden]="!loadingDataSource">
                    <mat-spinner></mat-spinner>
                    <p>Carregando...</p>
                </div>
            </div>

            <button class="mr-10" mat-raised-button style="background-color: #4CAF50 !important; float: right;  margin-bottom: 10px;"
                (click)="importProjectsGitLab()">
                <mat-icon style="color:#FFF;">cached</mat-icon>
                <span matTooltip="Import Projects Git Lab" style="color:#FFF;">IMPORT PROJECTS GIT LAB</span>
            </button>

            <div style="clear:both;"></div>

            <mat-table #table [dataSource]="dataSourceTable" *ngIf="dataSourceTable" [hidden]="loadingDataSource">

                <ng-container matColumnDef="id">
                    <mat-header-cell *matHeaderCellDef>#</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{ element.id }} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="idProjectGitLab">
                    <mat-header-cell *matHeaderCellDef>ID GitLab</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{ element.idProjectGitLab }} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="name">
                    <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{ element.name }} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="description">
                    <mat-header-cell *matHeaderCellDef>Description</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{ (element.description == null) ?'---': element.description
                        }} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="import">
                    <mat-header-cell class="text-center" *matHeaderCellDef>Import Git Lab</mat-header-cell>
                    <mat-cell class="text-center" *matCellDef="let element"> {{ (element.import == true) ?'Yes': 'No'}}
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="action">
                    <mat-header-cell class="text-center" *matHeaderCellDef>Actions</mat-header-cell>
                    <mat-cell class="text-center" *matCellDef="let element">
                        <button mat-icon-button [matMenuTriggerFor]="menu">
                            <mat-icon class="primary-300-fg">more_vert</mat-icon>
                        </button>
                        <mat-menu #menu="matMenu">
                            <button mat-menu-item (click)="showDetailProject(element)">
                                <mat-icon>info</mat-icon>
                                <span>Details</span>
                            </button>
                        </mat-menu>
                    </mat-cell>
                </ng-container>

                <mat-header-row *matHeaderRowDef="displayedColumnsTable"></mat-header-row>
                <mat-row *matRowDef="let row; columns: displayedColumnsTable;"></mat-row>
            </mat-table>
        </div>
    </div>
</div>